Bug 1474716 - [Ganesha]When all the nodes are rebooted, ganesha service fails to come up on few even when shared_storage is mounted
[Ganesha]When all the nodes are rebooted, ganesha service fails to come up on...
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kaleb KEITHLEY
Manisha Saini
:
Depends On:
Blocks: 1417153
  Show dependency treegraph
 
Reported: 2017-07-25 05:01 EDT by Manisha Saini
Modified: 2017-09-28 13:43 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
After a reboot, systemd may interpret NFS-Ganesha to be in STARTED state when it is not running. Workaround: Manually start the NFS-Ganesha process.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manisha Saini 2017-07-25 05:01:25 EDT
Description of problem:

While verifying bug #1451981 ,as mentioned in comment #13,Observed..ganesha service goes to failed state on few nodes after reboot.



Version-Release number of selected component (if applicable):

# rpm -qa | grep ganesha
nfs-ganesha-gluster-2.4.4-16.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-34.el7rhgs.x86_64
nfs-ganesha-2.4.4-16.el7rhgs.x86_64


How reproducible:


Steps to Reproduce:
1.Create 6 node ganesha cluster.
2.Reboot all the nodes


Actual results:
When nodes come up,on few nodes Ganesha service goes to failed state.

Expected results:
Ganesha service should start on all the nodes after reboot.

Additional info:

systemctl status nfs-ganesha
● nfs-ganesha.service - NFS-Ganesha file server
   Loaded: loaded (/usr/lib/systemd/system/nfs-ganesha.service; enabled; vendor preset: disabled)
   Active: inactive (dead) since Thu 2017-07-20 12:16:16 IST; 2h 28min ago
     Docs: http://github.com/nfs-ganesha/nfs-ganesha/wiki
 Main PID: 2341 (code=exited, status=2)

Jul 20 12:16:16 dhcp42-127.lab.eng.blr.redhat.com systemd[1]: Starting NFS-Ganesha file server...
Jul 20 12:16:16 dhcp42-127.lab.eng.blr.redhat.com bash[2429]: prlimit: invalid PID argument: '--nofile=1048576:1048576'
Jul 20 12:16:16 dhcp42-127.lab.eng.blr.redhat.com systemd[1]: Started NFS-Ganesha file server.

Even though nfs-ganesha didn't start properly, but systemd consider it to be started.
Comment 2 Daniel Gryniewicz 2017-07-25 08:23:24 EDT
Is there a ganesha log somewhere?
Comment 5 Jiffin 2017-07-27 08:29:52 EDT
(In reply to Daniel Gryniewicz from comment #2)
> Is there a ganesha log somewhere?

Here ganesha service was not at started because ganesha.conf was not available(for gluster we store ganesha.conf in shared volume). But by somehow systemd interupts it to be started and stopping restarting ganesha service after reboot
Comment 7 Jiffin 2017-08-17 01:09:33 EDT
Doc text looks good to me

Note You need to log in before you can comment on or make changes to this bug.